=== modified file 'Makefile.am'
--- Makefile.am	2008-06-29 23:41:16 +0000
+++ Makefile.am	2008-06-30 06:25:49 +0000
@@ -28,7 +28,7 @@
 
 DIST_SUBDIRS =		. include \
 			sql-common scripts \
-			strings mysys dbug extra regex libmysql libmysql_r client unittest storage plugin \
+			strings mysys dbug extra regex libmysql client unittest storage plugin \
 			vio sql tests \
 			mysql-test support-files
 

=== modified file 'client/Makefile.am'
--- client/Makefile.am	2008-06-25 05:29:13 +0000
+++ client/Makefile.am	2008-06-30 06:25:49 +0000
@@ -15,11 +15,7 @@
 
 # This file is public domain and comes with NO WARRANTY of any kind
 
-if THREAD_SAFE_CLIENT
-LIBMYSQLCLIENT_LA =		$(top_builddir)/libmysql_r/libmysqlclient_r.la
-else
 LIBMYSQLCLIENT_LA =		$(top_builddir)/libmysql/libmysqlclient.la
-endif
 
 INCLUDES =			-I$(top_builddir)/include \
 				-I$(top_srcdir)/include \
@@ -28,7 +24,9 @@
 LIBS =				@CLIENT_LIBS@ -lz
 
 LDADD=				@CLIENT_EXTRA_LDFLAGS@ $(CLIENT_THREAD_LIBS) \
-				$(top_builddir)/libmysql/libmysqlclient.la -lz
+				$(top_builddir)/libmysql/libmysqlclient.la -lz \
+                                $(top_builddir)/mysys/libmysys.a
+
 
 noinst_HEADERS =		sql_string.h completion_hash.h my_readline.h \
 				client_priv.h

=== modified file 'configure.in'
--- configure.in	2008-06-29 23:41:16 +0000
+++ configure.in	2008-06-30 06:25:49 +0000
@@ -575,14 +575,6 @@
     [ with_named_curses=no ]
     )
 
-# Make thread safe client
-AC_ARG_ENABLE(thread-safe-client,
-    [  --disable-thread-safe-client   
-                          Compile the client without threads.],
-    [ THREAD_SAFE_CLIENT=$enableval ],
-    [ THREAD_SAFE_CLIENT=yes ]
-    )
-
 # compile with strings functions in assembler
 AC_ARG_ENABLE(assembler,
     [  --enable-assembler      Use assembler versions of some string 
@@ -1763,13 +1755,6 @@
 dnl client is just using plain-old libs.
 sql_client_dirs="strings regex mysys libmysql"
 
-AM_CONDITIONAL(THREAD_SAFE_CLIENT, test "$THREAD_SAFE_CLIENT" != "no")
-
-if test "$THREAD_SAFE_CLIENT" != "no"
-then
-  sql_client_dirs="$sql_client_dirs libmysql_r"
-  AC_DEFINE([THREAD_SAFE_CLIENT], [1], [Should the client be thread safe])
-fi
 sql_client_dirs="$sql_client_dirs client"
 
 CLIENT_LIBS="$NON_THREADED_LIBS $openssl_libs $ZLIB_LIBS $STATIC_NSS_FLAGS"
@@ -1780,7 +1765,7 @@
 AC_SUBST(STATIC_NSS_FLAGS)
 AC_SUBST(sql_client_dirs)
 
-if test "$with_server" = "yes" -o "$THREAD_SAFE_CLIENT" != "no"
+if test "$with_server" = "yes"
 then
   AC_DEFINE([THREAD], [1],
             [Define if you want to have threaded code. This may be undef on client code])
@@ -1843,7 +1828,7 @@
  unittest/mysys/Makefile unittest/examples/Makefile dnl
  strings/Makefile regex/Makefile storage/Makefile dnl
  vio/Makefile dnl
- libmysql/Makefile libmysql_r/Makefile client/Makefile dnl
+ libmysql/Makefile client/Makefile dnl
  sql/Makefile sql/share/Makefile dnl
  sql/sql_builtin.cc sql-common/Makefile dnl
  dbug/Makefile scripts/Makefile include/Makefile dnl

=== removed directory 'libmysql_r'
=== removed file 'libmysql_r/Makefile.am'
--- libmysql_r/Makefile.am	2008-06-25 05:29:13 +0000
+++ libmysql_r/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,46 +0,0 @@
-# Copyright (C) 2000-2004 MySQL AB
-# 
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of version 2 GNU General Public License as
-# published by the Free Software Foundation.
-#
-# There are special exceptions to the terms and conditions of the GPL as it
-# is applied to this software. View the full text of the exception in file
-# EXCEPTIONS-CLIENT in the directory of this software distribution.
-# 
-# This library is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# Library General Public License for more details.
-# 
-# You should have received a copy of the GNU Library General Public
-# License along with this library; if not, write to the Free
-# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
-# MA 02111-1307, USA
-#
-# This file is public domain and comes with NO WARRANTY of any kind
-
-target = libmysqlclient_r.la
-target_defs = -DDONT_USE_RAID -DMYSQL_CLIENT @LIB_EXTRA_CCFLAGS@
-LIBS = @LIBS@ -lz
-
-INCLUDES =	-I$(top_builddir)/include -I$(top_srcdir)/include
-## automake barfs if you don't use $(srcdir) or $(top_srcdir) in include
-include $(top_srcdir)/libmysql/Makefile.shared
-
-nodist_libmysqlclient_r_la_SOURCES = $(target_sources)
-libmysqlclient_r_la_LIBADD = $(target_libadd)
-libmysqlclient_r_la_LDFLAGS = $(target_ldflags)
-
-link_sources:
-	set -x; \
-	for d in $(top_srcdir)/libmysql $(top_builddir)/libmysql; do \
-	  for f in `cd $$d && echo *.[ch]`; do \
-	    rm -f $$f; \
-	    @LN_CP_F@ $$d/$$f $$f; \
-	  done; \
-	done
-	echo timestamp > link_sources
-
-# Don't update the files from bitkeeper
-%::SCCS/s.%

=== modified file 'sql/net_serv.cc'
--- sql/net_serv.cc	2008-06-29 19:19:20 +0000
+++ sql/net_serv.cc	2008-06-30 06:25:49 +0000
@@ -595,13 +595,13 @@
 		  my_progname);
 #endif /* EXTRA_DEBUG */
       }
-#if defined(THREAD_SAFE_CLIENT) && !defined(MYSQL_SERVER)
+#if !defined(MYSQL_SERVER)
       if (vio_errno(net->vio) == SOCKET_EINTR)
       {
 	DBUG_PRINT("warning",("Interrupted write. Retrying..."));
 	continue;
       }
-#endif /* defined(THREAD_SAFE_CLIENT) && !defined(MYSQL_SERVER) */
+#endif /* !defined(MYSQL_SERVER) */
       net->error= 2;				/* Close socket */
       net->last_errno= (interrupted ? ER_NET_WRITE_INTERRUPTED :
                                ER_NET_ERROR_ON_WRITE);
@@ -802,7 +802,7 @@
 		    my_progname,vio_errno(net->vio));
 #endif /* EXTRA_DEBUG */
 	  }
-#if defined(THREAD_SAFE_CLIENT) && !defined(MYSQL_SERVER)
+#if !defined(MYSQL_SERVER)
 	  if (vio_errno(net->vio) == SOCKET_EINTR)
 	  {
 	    DBUG_PRINT("warning",("Interrupted read. Retrying..."));

=== modified file 'storage/archive/Makefile.am'
--- storage/archive/Makefile.am	2008-06-25 05:29:13 +0000
+++ storage/archive/Makefile.am	2008-06-30 06:25:49 +0000
@@ -15,11 +15,7 @@
 
 #called from the top level Makefile
 
-if THREAD_SAFE_CLIENT
-LIBMYSQLCLIENT_LA =		$(top_builddir)/libmysql_r/libmysqlclient_r.la
-else
 LIBMYSQLCLIENT_LA =		$(top_builddir)/libmysql/libmysqlclient.la
-endif
 
 MYSQLDATAdir =          $(localstatedir)
 MYSQLSHAREdir =         $(pkgdatadir)

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2008-06-25 05:29:13 +0000
+++ tests/Makefile.am	2008-06-30 06:25:49 +0000
@@ -18,11 +18,7 @@
 ## Process this file with automake to create Makefile.in
 
 
-if THREAD_SAFE_CLIENT
-LIBMYSQLCLIENT_LA =		$(top_builddir)/libmysql_r/libmysqlclient_r.la
-else
 LIBMYSQLCLIENT_LA =		$(top_builddir)/libmysql/libmysqlclient.la
-endif
 
 EXTRA_DIST =		auto_increment.res auto_increment.tst \
 			function.res function.tst lock_test.pl lock_test.res \
@@ -41,7 +37,7 @@
 			$(openssl_includes)
 LIBS =			@CLIENT_LIBS@
 LDADD =			@CLIENT_EXTRA_LDFLAGS@ \
-                        $(LIBMYSQLCLIENT_LA)
+                        $(LIBMYSQLCLIENT_LA) -lz
 
 mysql_client_test_LDADD= $(LDADD) $(CXXLDFLAGS)
 mysql_client_test_SOURCES= mysql_client_test.c\

